Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create a character

$ openai videos create-character
POST
/videos/characters

Create a character from an uploaded video.

Create a character

openai videos create-character \
  --api-key 'My API Key' \
  --name x \
  --video 'Example data'
200 — Example
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}
Parameters
--name: string

Display name for this API character.

--video: file path

Video file used to create a character.

Returns
VideoNewCharacterResponse: object { id, created_at, name }
id: string

Identifier for the character creation cameo.

created_at: number

Unix timestamp (in seconds) when the character was created.

name: string

Display name for the character.

Returns Examples
200 — Example
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}